Hooks:PostHook(PlayerTweakData, "_init_new_stances", "groza_define_underbarrel_stance", function(self)
	self:_init_glgroza()
end)

function PlayerTweakData:_init_groza()
	self.stances.groza = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(0, 0, 0)
	local pivot_shoulder_rotation = Rotation(0, 0, 0)
	local pivot_head_translation = Vector3(0, 0, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.groza.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.groza.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.groza.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -22, 0)
	self.stances.groza.standard.vel_overshot.yaw_neg = 5
	self.stances.groza.standard.vel_overshot.yaw_pos = -5
	self.stances.groza.standard.vel_overshot.pitch_neg = -5
	self.stances.groza.standard.vel_overshot.pitch_pos = 5
	local pivot_head_translation = Vector3(-8.562, 0.013, 1.542)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.groza.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.groza.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.groza.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	self.stances.groza.steelsight.vel_overshot.yaw_neg = -2
	self.stances.groza.steelsight.vel_overshot.yaw_pos = 2
	self.stances.groza.steelsight.vel_overshot.pitch_neg = 1
	self.stances.groza.steelsight.vel_overshot.pitch_pos = -1
	local pivot_head_translation = Vector3(-2, -3, -2.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.groza.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.groza.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.groza.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -22, 0)
	self.stances.groza.crouched.vel_overshot.yaw_neg = -3
	self.stances.groza.crouched.vel_overshot.yaw_pos = 3
	self.stances.groza.crouched.vel_overshot.pitch_neg = 2
	self.stances.groza.crouched.vel_overshot.pitch_pos = -2
end

function PlayerTweakData:_init_glgroza()
	self.stances.glgroza = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(0, 0, 0) -- best to keep shoulders at 0,0,0
	local pivot_shoulder_rotation = Rotation(0, 0, 0)
	local pivot_head_translation = Vector3(0, 0, 0) -- in centimeters, use values from pvm (as is) or blender (multiplied by 100)
	local pivot_head_rotation = Rotation(0, 0, 0) -- yaw, pitch, roll Z X Y
	self.stances.glgroza.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glgroza.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glgroza.standard.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -22, 0)
	self.stances.glgroza.standard.vel_overshot.yaw_neg = 5
	self.stances.glgroza.standard.vel_overshot.yaw_pos = -5
	self.stances.glgroza.standard.vel_overshot.pitch_neg = -5
	self.stances.glgroza.standard.vel_overshot.pitch_pos = 5
	local pivot_head_translation = Vector3(-9.16, 0.410, 2.73) -- ads
	local pivot_head_rotation = Rotation(-0.027, 0.22, -6.380)
	self.stances.glgroza.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glgroza.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	--self.stances.glgroza.steelsight.zoom_fov = false
	self.stances.glgroza.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -25, 0)
	self.stances.glgroza.steelsight.vel_overshot.yaw_neg = -2
	self.stances.glgroza.steelsight.vel_overshot.yaw_pos = 2
	self.stances.glgroza.steelsight.vel_overshot.pitch_neg = 1
	self.stances.glgroza.steelsight.vel_overshot.pitch_pos = -1
	local pivot_head_translation = Vector3(-2, -3, -2.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glgroza.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glgroza.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glgroza.crouched.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -22, 0)
	self.stances.glgroza.crouched.vel_overshot.yaw_neg = -3
	self.stances.glgroza.crouched.vel_overshot.yaw_pos = 3
	self.stances.glgroza.crouched.vel_overshot.pitch_neg = 2
	self.stances.glgroza.crouched.vel_overshot.pitch_pos = -2
end
